# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXLoopFirst

Function

Indicates whether it is the first time through a loop

Syntax
`
##include <dx/dx.h>
`

int DXLoopFirst()

Functional Details

This function is used to determine whether or not it is the first iteration of the loop within the macro containing the module calling DXLoopFirst.

Return Value Returns 1 if it is the first iteration of a loop. Returns 0 otherwise.

See Also

`DXLoopDone`

13.7 , "Looping Support".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]